package sklep.rest;

import java.util.List;
import java.util.Optional;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import sklep.model.Product;
import sklep.repository.ProductRepository;

@RestController
public class ProductEndpoint {
	private ProductRepository productRepository;
	
	public ProductEndpoint(ProductRepository productRepository) {
		this.productRepository = productRepository;
	}

	@GetMapping("/products")
	public List<Product> getAllProducts() {
		return productRepository.findAll();
	}
	
	@GetMapping("/products/{id}")
	public Optional<Product> getOneProduct(@PathVariable("id") Integer id) {
		return productRepository.findById(id);
	}


}
